# Reorder products in a collection

Reorders products in a collection. Works with Shopify accounts.

```http
POST https://api.pozy.ai/v1/commerce/collections/{collectionId}/reorder
```

- Area: Commerce / Commerce
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `collectionId` (string, required)

## Request body

Content type: `application/json`

- `accountId`, string, required
- `moves`, array of object, required: At least 1 item. Up to 250 items
  - `productId`, string, required
  - `position`, integer, required: At least 0

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/commerce/collections/6b46c9dca98561aa77455ce1/reorder" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "moves": [
    {
      "productId": "659773d34b353e6821202f21",
      "position": 1
    }
  ]
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/commerce/collections/6b46c9dca98561aa77455ce1/reorder", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    moves: [
      {
        productId: "659773d34b353e6821202f21",
        position: 1
      }
    ]
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/commerce/collections/6b46c9dca98561aa77455ce1/reorder",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "moves": [
            {
                "productId": "659773d34b353e6821202f21",
                "position": 1,
            },
        ],
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `pending`, boolean

```json
{
  "pending": true
}
```
